Welcome

Welcome to Xara3D. Xara3D is designed solely to create the highest quality 3D text and graphics, such as logos, titles, headings and buttons. All images are fully anti-aliased for that smooth, professional quality, making them ideal for web pages and presentations. Xara3D can also create high quality animated GIFs, AVIs and simple Flash movie sequences in seconds, and any animation can even be saved as a screensaver!

An introduction to Xara3D

Before you read this help guide, we highly recommend viewing the Xara3D introduction movie. It is the ideal way to get to know Xara3D and get an overview of its features, allowing you to make the most of the program. Information on how to view the movie.

Getting started

These pages help you when you first install Xara3D.

The basics

The design types

Purchasing Xara3D

What's new in version 6

Resources on the CD

License terms

New design types

It's not just buttons anymore. Find out how one design now has many different results.

How do I...?

Use these pages if you want to find out how to do something in Xara3D.

What does this do?

Use these pages to find out more about the menu options or the dialog boxes

Other information

Customizing Xara3D

Keyboard short cuts

Hidden and advanced options

Technical support

Copyright information

Version 6.0 February 2005

Copyright ©1997–2005 Xara Group Ltd.

Xara Group Ltd.

Gaddesden Place

Hemel Hempstead

HP2 6EX

United Kingdom

xara.com

Using Xara3D

Learn how to get the best out of Xara3D's interface, with information on moving toolbars and docking windows. More information.

Help font size

If you find the text in this guide too small, you can alter it by holding the Ctrl key and moving your mouse wheel up and down. Please note: this will also change your Internet Explorer font sizes, so you may have to do the same thing when using IE to change the font size back to normal.

All trademarks acknowledged.

Xara, Xara X, Xara Webster, Menu Maker and Xara3D are trademarks of Xara Group Ltd.

Flash is a trademark of Macromedia Inc.

Adobe and Photoshop are either trademarks or registered trademarks of Adobe Systems Incorporated

Frankfurter Venetian, Geotype, Greek Diner, Haxton, Russel Write, Steppes, Whimsy, Bouton International and Huxley Titling kindly provided by Gary David Bouton, see www.theboutons.com.

Other fonts are from a collection created by Fontbank Inc., which can be purchased from our web site www.buyfonts.com

Many of the WMF symbols on the CD are letters from EFF fonts—Creatures, Chess, Symphony, Picturesque, Birdie and ArrowPi - which are some of the variety of quality fonts from the EFF range which can be purchased from our web site www.buyfonts.com

Other WMF symbols are courtesy of James Parry or come from the Publish Art CD produced by Ekits. Details about this graphical resource can be found at: ekitsonline.com or from jim@ekitsonline.com

Still more WMF symbols were produced from Gary David Bouton's symbolic fonts Geotype, Haxton and Sympols. GeoType and Haxton are included on this CD, Sympols can be downloaded from Gary's site www.theboutons.com

Last updated February 18 2005–9.32


What's new

What's new in version 6

Xara3D 6 is our quickest, easiest and most useful Xara3D yet. Here's why.

New design types

Xara3D 5's automatic 3D button maker proved very popular, so we've taken the same concept to offer other one-click transformations—enormously increasing the type of graphics you can create.

  • Borders. Adds a customizable border around your heading, giving it instant added impact.

  • Boards. Sits your heading on a solid customizable board, so the image appears to emerge from a solid background.

  • Boards and holes. The reverse of boards—gives an impression of a cut-out image.

There are also two new bevel types from which to choose.

New easier-to-use look and feel

The new UI brings Xara3D right up to date and makes it significantly quicker and easier to use, including:

  • A new, modern look and feel.

  • Convenient and time saving docking windows and toolbars.

  • New context sensitive menus, all fully customizable.

More interactive tools

Current Xara3D users will know how easy it is to move objects and change shadows in Xara3D just by clicking and dragging. We've now applied the same ease of use to extrusion, bevel depth and moving text on a design—simply drag on the image, and see the result instantly! It's far more intuitive, and a real time saver—great for experimentation.

Greater control over movie export

You can now select to save a 3D animation in any AVI format. So, for example if you have the correct codec installed you can create DivX or MPEG4 movies of your favorite 3D animations, and you can control the compression and other settings for each movie type.

Compatible with Xara X¹

Thanks to cut and paste compatibility with Xara X¹ (or later) you can now paste shapes from Xara X¹ into Xara3D 6, extrude and edit in Xara3D, then paste your 3D designs back into Xara X¹ as bitmaps.

Easier than ever to use

Xara3D has always been popular due to its ease of use. With the totally new interface, new easier to use help guide, and many other small enhancements (many requested by existing owners of Xara3D) we're confident that this is our easiest to use Xara3D yet!


Purchasing Xara3D

This page applies if you are running the time-limited trial version of Xara3D.

This version of the software displays a background message, which you cannot change. (With the full version you can use any color or bitmap as a background.)

When you start up Xara3D a screen will appear reminding you that you are running the trial version—click Buy Xara3D now on that dialog box. This lets you purchase Xara3D using a fully secure transaction process, 24 hours a day, 7 days a week.

We also have resellers around the world who offer local sales and support - for a current list see xara.com/ordering/world.asp

As soon as you purchase Xara3D, you can download and install a full (unlocked) version. We also automatically mail you a CD, which contains a full version of the program. Please make sure you enter your correct address when purchasing Xara3D. You should receive the CD within 28 days.


Resources on the CD version

If you ordered Xara3D from Xara a CD will be mailed to you . The CD contains a copy of Xara3D and extra examples, textures, and fonts.

  • Example 3D graphics

  • Example 2D graphics

  • Textures

  • Fonts: over 60 in total.


Support

We highly recommend viewing the Xara3D introduction movie. It is the ideal way to get to know Xara3D and get an overview of its features, allowing you to make the most of the program. Information on how to view the movie.

Our support site which offers comprehensive FAQs, constantly updated and available 24 hours, is often the best source for instant answers. You can also contact our technical support staff from here. The site can be found at xara.com/support/x ara3D

There is also a Xara3D forum at TalkGraphics.com, allowing you to discuss the program with other users.


License

License terms

IMPORTANT NOTICE: The Xara3D software ("Software") is the copyright of Xara Group Limited ("Xara") whose principal place of business is at Gaddesden Place, Hemel Hempstead, Herts, HP2 6EX, United Kingdom and may not be stored on any computer or copied without the license of Xara. You are offered a license on the terms of the End User License Agreement ("EULA") set out below.

If you accept the terms of the License Agreement, select "Yes".

Selecting I ACCEPT and installing the Software constitutes acceptance of the terms of the EULA. Please read carefully and accept the terms and conditions of the EULA before installing the Software. Do not install the Software if you do not agree to the terms and conditions of the EULA.

If you do not accept these terms and you have purchased the Software you may within 14 days of purchase return the CD-ROM containing the Software, unused and intact or in the case of a download a Letter of Destruction to your supplier together with proof of purchase for a full refund.

XARA3D END USER LICENSE AGREEMENT ("EULA")

You are permitted to:

(1) load or download the Software and use it only on a single client computer which is under your personal control;

(2) transfer the Software from one computer to another provided it is used on only one computer at any one time;

(3) make one copy of the Software for back-up purposes only in support of the permitted use. The copies must reproduce and include Xara’s copyright notices;

(4) transfer the Software (complete with all its associated documentation) and this license to another person provided he has agreed to accept the terms of this Agreement and you contemporaneously transfer all copies of the Software you have made to that person or destroy all copies not transferred. If any transferee does not accept such terms then this license shall automatically terminate. The transferor does not retain any rights under this Agreement in respect of the transferred Software or license.

You are not permitted:

(a) to use the Software on any computer or system which permits electronic access to it by more than one user;

(b) to rent, lease, sub-license, loan, copy (except as expressly provided in this Agreement), modify adapt, merge, translate, reverse engineer, decompile, disassemble or create derivative works based on the whole or any part of the Software or its associated documentation except as permitted by law;

(c) except as expressly provided in this Agreement, to use, reproduce or deal in the Software in any way.

TERM

The license is effective until you terminate it by destroying the Software and its documentation together with all copies. It will also terminate if you fail to abide by this Agreement. Upon termination you agree to destroy all copies of the Software and its documentation including any Software stored on the hard disk of any computer under your control. If you are using the trial version of the Software then any rights to use the Software or images created with it terminates with the expiration of the trial period.

OWNERSHIP

You own only any CD-ROM (or authorized replacement) upon which the Software was supplied where it was not downloaded. You may retain such CD-ROM on termination provided the Software has been erased. Xara shall at all times retain ownership of the Software as recorded on the original CD-ROM and all subsequent copies thereof regardless of form. This Agreement applies to the grant of the license only and not to the contract of sale of the CD-ROM.

RESTRICTIONS

This license gives you the right to use images created with this Software with the following limitations:

1. The textures and fonts cannot be redistributed, sold or published in any form, commercial or otherwise.

2. Some fonts are provided by third parties who retain the copyright. In all cases copyright is reserved by Xara or its licensors and is protected by international copyright law.

3. You may not use the images for any purpose which is prohibited by law.

WARRANTIES AND REMEDIES

1 Xara warrants that the storage media on which the Software may have been supplied will be free from defects in materials and workmanship under normal use for a period of 90 days after the date of original purchase. If a defect in any CD occurs during such period you may return it with proof of purchase to your supplier who will replace it free of charge.

2 Xara warrants that the Software will perform substantially in accordance with its accompanying documentation (provided that the Software is properly used on the computer and with the operating system for which it was designed) and that the documentation correctly describes the operation of the Software in all material respects. If Xara is notified of any significant error in the Software during the period of 90 days after the date of original purchase it will correct any such error within a reasonable time (by replacement if it chooses) or, at its option, refund the price of the Software (against return of the Software and its documentation).

3 The warranties set out in paragraphs 1 and 2 above are your sole warranties and are in place of all warranties conditions or other terms expressed or implied by statute or otherwise, all of which are hereby excluded to the fullest extent permitted by law. Paragraphs 1 and 2 also set out your sole remedies for any breach of Xara’s warranties

4 In particular Xara does not warrant that the Software will meet your requirements or that the operation of the Software will be uninterrupted or error free or that all errors in the Software can be corrected. You load and use the Software at your own risk and in no event will Xara be liable to you for any loss or damage of any kind (except personal injury or death resulting from Xara’s negligence) including lost profits or any indirect or consequential loss arising from the use of or inability to use the Software or from errors or deficiencies in it whether caused by negligence or otherwise, except as expressly provided in this Agreement.

CONSUMERS

Nothing in this Agreement shall affect your statutory rights as a consumer .

LAW

This Agreement shall be governed by English law.

If you have any questions concerning this Agreement please write to Xara Group Limited, Gaddesden Place, Hemel Hempstead, Herts, HP2 6EX, United Kingdom.

The bundled fonts and textures cannot be redistributed, sold or published in any form, commercial or otherwise. Haxton Logos, Geotype, Greek Diner, Russel Write, Bouton International, Huxley Titling and Whimsy fonts are provided by kind permission of Gary Bouton and remain © Gary Bouton, see www.theboutons.com/ . In all cases copyright is reserved by Xara or its licensors and is protected by international copyright law.


Getting started

We highly recommend viewing the Xara3D introduction movie. It is the ideal way to get to know Xara3D and get an overview of its features, allowing you to make the most of the program. Information on how to view the movie.

To create a 3D heading is easy:

  1. Start typing to enter the text you want. You can delete existing text using backspace.

  2. Select the font for the heading.

  3. Change the bevel and extrude if you wish.

  4. Drag the text to get the angle you want.

  5. Change the color of the text or background.

  6. Resize the Xara3D window to set the size of the text.

  7. Select export bitmap on the file menu to save the heading as a BMP, PNG, GIF, JPEG, Flash SWF, ICO (icon) or CUR (cursor).

Want an animated heading?

Simple. After step 4 change the animation options. You can preview the animation by clicking the start animation button. Then in step 7, select export animation on the file menu to save as an AVI movie or Animated GIF, Flash SWF or ANI cursor.

Want to change the lighting angles or colors?

Simple. Click the light bulb button. This displays the three lights that color the text (and a special striped light that creates the shadow). Drag the lights to change the angles or double-click on a light to display the color picker.

Want to copy styles from an existing Xara3D heading?

You can import the settings (lighting, colors, and so on) from any existing X3D file by using import style on the file menu. Or you can import animation settings from an X3D file by using import animation, also on the file menu.

Want to import your own 2D graphic?

You can import Windows metafiles (EMF or WMF) or Xara XAR/WEB files. Then you can convert them to extruded 3D graphics. More details.

Detailed information on using Xara3D


How do I...?

Use these pages if you want to find out how to do something in Xara3D.

The basics

Text & 2D objects

positioning & rotating

changing the size

changing the wording

changing text spacing

changing the font

changing the color

changing the bevel (edges)

changing the 3D extrude (depth)

changing the effects applied to selected characters

changing the lighting

creating hollow text

shiny & matt surfaces

selecting text

typing international (accented) characters

importing styles from an existing heading

importing animation settings from an existing heading

importing 2D objects

creating 3D buttons, boards and border designs

Colors

changing the text color

changing the background color

changing the colors of the lights

changing the shadow color

changing the texture color (tint)

Shadows

moving the shadow

creating and deleting shadows

changing the shadow color

changing the shadow style/type

changing the shadow transparency

changing the shadow blur

shadows and backgrounds

Textures

and text

and the background

changing the texture color (tint)

The lights

changing their color

changing their position

Buttons, boards and borders

creating buttons, boards and border designs

moving the text on a design

making the designs wider or narrower

changing the curvature of the corners

changing the size of buttons

Animation

creating an animation/movie

creating a multipage animation

step animation

previewing an AVI movie

importing animation settings from an existing heading

the Time Line

Saving

saving for reloading later

saving a graphic

saving screensavers

creating an animation/movie

previewing an AVI movie

Correcting mistakes

Undo & Redo

Customizing Xara3D

changing the default document

displaying Toolbars

docking dialog boxes


Other Xara products

There are trial versions and demo movies for many of these products on the Xara3D product CD. If you have the Xara3D CD, just put it into your CD-ROM drive and the Xara3D splash screen should appear. From there, you can choose the program in which you are interested.

Xara X is a fully featured illustration package that lets you create original artwork. The perfect complement to Xara Webstyle when you need to create still and animated graphics from scratch and require more advanced print and illustration features. For full details xara.com/xarax.

Whether you're a time-pressed designer or a complete novice, you can create professional-quality graphics and photos for the web with just the click of a button. Webstyle's customizable professionally-designed templates give you almost limitless possibilities, from button bars and banner ads to photo albums and complete page layouts. For full details xara.com/webstyle.

Menu Maker lets you create DHTML NavBars and Menus. You do not need Menu Maker as this feature is already available in Webstyle's NavBar options. But if you wish to, you can find full details if you visit xara.com/menumaker.

A 3D screensaver maker that's fast, fun and easy to use. Create animated 3D text message screensavers with your own personalized message. Or put any images of your choice onto the sides of a 3D, tumbling cubes screensaver—ScreenMaker 3D accepts a wide variety of image formats, even AVI movies. For more information, and to download example screensavers, visit xara.com/screenmaker3d

Webstyle includes a selection of fonts from the BuyFonts.com range of over 1000 fonts. With prices starting at $2, BuyFonts.com meets all your font needs. For full details see our BuyFonts.com website

Xara Online offers a range of online Web Services from animated photo and text effects to complete email, form and database management solutions. Add just a single line of HTML to your page, all the hard work is done on Xara Online's servers. For full details visit xaraonline.com


Text options

Ways to display text options

Click the text options button on the toolbar (see the icon above left).

Click the options menu, then select text.

Press Alt-T.

If you have some text selected, any changes you make apply only to the selection. Otherwise changes apply to all text.

Bold - make the text bold. This button duplicates the Bold button on the Text Toolbar. Has no effect on 2D objects.

Italic - make the text italic. This button duplicates the Italic button on the Text Toolbar. Also slants any 2D objects.

Outline - select for outline text. This button duplicates the Outline button on the Text Toolbar.

Size - this lets you make 3D objects larger or smaller. Its main use is to change the size of selected characters. Size is relative so if you change Font Size (on the Text Toolbar) the characters scale in proportion.

Aspect Ratio - change the width relative to the height. This duplicates Aspect Ratio on the Text Toolbar.

Alignment - change the alignment (justification) of two or more lines of text. Has no effect for a single line of text. Duplicates the Alignment button on the Text Toolbar.

Line Spacing - changes the vertical space between lines of text (more details). This duplicates Line Spacing on the Text Toolbar.

Tracking - changes the horizontal space between characters (more details). This duplicates Tracking on the Text Toolbar.

Baseline Shift - move the selected text vertically. Keyboard short cuts: F7 shift up; F8 shift down.

Kerning - change the horizontal space between two characters. Dimmed if there is selected text. Keyboard short cuts: F5 reduce spacing; F6 increase spacing.

Note the difference between Kerning (which affects a pair of characters) and Tracking (which affects several characters).

Page break (CTRL+ENTER) - create a new page in a Multipage animation.

Font list - this lets you select the font (typeface). If you click on a font name, you can then scroll up and down the list using the arrow keys on the keyboard. The preview (on the right) then shows you how the text looks in the current font.

Preview window - shows you the text. You can select text in this preview (by dragging or using the arrow keys) and then apply any of the options in this dialog box to just the selection.

More - this displays the Character Map, which lets you select any character in the selected font. For more information see Typing international characters.

Right-click menu

Right-click on the text preview to display a menu.

Zoom to fit - display all the text in the preview window.

Zoom in - enlarge your view onto the text.

Zoom out - display more of the text in the preview window.

These options just change your view onto the text. They have no effect on the actual size of the text.


Color options

Color options lets you select any hue and any shade of color.

Ways to display color options

Click the color options button on the toolbar (see the icon above left).

Click the color options tab on the right of your screen (don't see this?).

Click the options menu, then color.

To select a color for editing

Select from the drop-down list at the top of this dialog box.

Note that you have three options for the text: edit both the faces and the sides, the faces only, or the sides only.

The current color is displayed in the square on the right of the dialog box. This square shows hatching if the text uses multiple colors.

To adjust the shade

Click or drag on the central area of the color picker. You'll see the exact color in the square to the right.

To alter the hue

Click or drag on the rainbow strip along the lower part of the dialog box.

HSV and RGB

If you want an exact color type in values:

HSV (Hue, Saturation, Value) Hue is a color wheel with values in the range 0-360 degrees. Saturation and Value are percentages.

RGB (Red, Green, Blue) Enter values in the range 0-255 or 0-FF (see Hex below.)

You can create the same range of colors using either HSV or RGB - use the one you are familiar with.

Hex

You can define RGB colors as either 0-255 (Hex off) or 0-FF (Hex on.) These are identical (256 steps), just different ways of showing the same value.

Many color lists show RGB colors as six characters such as FF057F. You can type this directly into the # field.

Texture

Select this if you want to display a bitmap texture on the face of the text or the background. You can also use texture options to select a texture and achieve the same result. Macromedia Flash vector format does not support textures. Selecting display as Flash dims all texture options.

Tint

(Dimmed unless texture selected. You can also use texture options to select tint and achieve the same result.)

  • Unselected: display the original colors of the texture bitmap.

  • Selected: tint (modify) the bitmap colors by the color selected in this dialog box. Note that dark colors can hide detail in the bitmap.


Extrusion options

Extrusion is basically the depth of your object—the more extrude, the deeper the object. An object with a high level of extrude will have a very large 3D effect.

Interactive extrusion tool

For quick, interactive extrusion on your design just hover your mouse over the side of your object so that your mouse pointer changes to the extrusion tool (see left). You can then just click and drag the extrusion of the object. For more detailed settings, bring up the extrusion options (see below).

Ways to display extrusion options

Click the extrusion options button on the toolbar (see the icon above left).

Click the extrusion options tab on the right of your screen (don't see this?).

Click the options menu, then select extrude.

Press Alt-E.

Apply to

These options are grayed out unless you are using a board or border design (see design options for more information).

This allows you to alter the extrusion on the board or border separately to the text, or you can select both to apply the same settings to both.

Gloss/matt

Gloss make the object surface reflective, matt non-reflective. The best results with glossy requires careful positioning of the lights. See altering the text color for more details.

Front face

Switching off display of the front face creates hollow objects and can give interesting effects. See hollow text for more details.

Back face

Similar to front face but controls display of the back of the objects. This has no effect unless you also turn off front Face or rotate animated text through 360 degrees

Outline

Produces outline objects. This is different to switching off face display. See hollow text for more details.

Outline width

Controls the thickness of the outline. See hollow text for more details.

Depth

Controls the extrude depth.


Design options

Design options allow you change the shape of your design.

Ways to display design options

Click the design options button on the toolbar (see the icon above left).

Click the design options tab on the right of your screen (don't see this?).

Click the options menu, then select design.

Press Alt-U.

Macromedia Flash vector format does not support button, so if display as Flash is selected the button option will not work.

Design type

Select what design you wish to create. You can choose from:.

Button: creates a button with the text flat on it.

Board: simiar to a button, but the text is 3D as well as the board.

Board + holes: with this option the text is cut out of the board.

Border: the board is now hollow, and the 3D text is suspended within it.

Design shape

Select the required shape for your design.

Stretch

At 100% the button has the same width as height. Below 100% the width is less than the height. More details.

Corners

Check Corners if you want rounded corners for the design (this is only applicable on some designs, this option will be grayed out if not applicable). You can then change the radius by typing into the text field. 100% is the default radius for the selected button type. More details.

Size

(Not applicable for text-only designs)

Change the size of the text relative to the button, board or border design.

Angle

(Not applicable for text-only designs)

Change the angle of the text on the button, board or border design.

X/Y

(Not applicable for text-only designs)

Changes the position of the text on the button, board or border design.

Design picker

Import a 2D shape (Windows metafile WMF/EMF, Xara WEB/XAR) or Xara3D XAR file as the design shape. You can then select different design types (see above) and see how the imported shape looks.


Bevel options

The bevel is the type of corner applied to edges of 3D objects.

Interactive bevel tool

For quick, interactive bevels on your design just hover your mouse over the side of your object and hold the shift key so that your mouse pointer changes to the bevel tool (see left). You can then just click and drag the bevels on the object. For more detailed settings, bring up the bevel options (see below).

Ways to display bevel options

Click the bevel options button on the toolbar (see the icon above left).

Click the bevel options tab on the right of your screen (don't see this?).

Click the options menu, then select bevels.

Press Alt-B.

Apply to

These options are grayed out unless you are using a board or border design (see design options for more information).

This allows you to alter the bevel on the board or border separately to the text, or you can select both to apply the same settings to both.

Bevel types

Select from the list for different bevel effects. Please note: Macromedia Flash vector format does not support all bevel types so click the 'display as Flash' button (the lightning symbol at the top of your screen) or press Ctrl-F to show a smaller list of bevel types.

Miter/Round

These affect the corners of the letters. Miter gives square edges; Round rounded edges. Which you use depends on the effect you want. (Selecting Display as Flash dims these buttons as Flash vector format supports only Miters—more on creating Flash files.)

Depth

This is the depth (size) of the bevel.

Notes:

  • Bevels go along the sides, not the face. So, for example, selecting the 'Curved' bevel produces a budge effect to the extruded part. This also means the bevel takes the color of the sides. (The color of the face can be different to the color of the sides.)

  • Square faced & square cornered bevels are particularly effective when the sides are a different color to the face. This can give the effect of a two-colored face to the text.

  • Beveled objects are slower to display than objects with no bevel.

  • The miter and round options affect the corners of objects. Usually text has sharp mitered corners, but you can round the corners by selecting round. This is usually only obvious for fonts that have sharp corners or serifs. (Selecting display as flash dims these buttons as Flash vector format supports only Miters—more on creating Flash files.)

  • You can apply a different bevel to a part of the text. Select the characters you want and then change the bevel.


Shadow options

Xara3D includes an advanced shadow tool that can give a very realistic effect of the object hanging in front of a surface. The position of the shadow is controlled by one of the arrows in the lighting control. The shadow blur and darkness is controlled from the shadow options. You can even control the color of the shadow for special effects. Note that if display as Flash is selected, this entire section is grayed out as the Flash format does not support shadows.

Ways to display shadow options

Click the shadow options button on the toolbar (see the icon above left).

Click the shadow options tab on the right of your screen (don't see this?).

Click the options menu, then select shadow.

Press Alt-S.

Shadow

Select this to display a shadow.

Style

1 is a blurred copy of the objects. Artistically this is not a true shadow but it looks "correct" for simple drop shadows (the most common type on web pages).

2 is a true shadow, thrown by the shadow light. This type looks best in animations where the eye is more aware of the shape of a shadow.

Transparency

Controls how much of the background color or texture shows through the shadow. Semitransparent shadows are more realistic than solid shadows.

Blur

This can give the effect of either a pin-point light source (little blur) or diffuse light source (greater blur). For best results we suggest always blurring the shadow slightly—in real-life shadows don't have sharp edges.

Notes:

  • GIFs with shadows are usually larger than with no shadow. Also the further the shadow is away from the text, or the more blurred, the larger the file. To get the most realistic shadow effects on your web page, ensure the Xara3D background matches that of the web page. See shadows and backgrounds for details.

  • Selecting display as Flash disables shadow options because Macromedia Flash vector format does not support shadows. More details.

  • Flash vector format does not support shadows. Selecting display as Flash on the View menu dims all shadow options.


Texture options

You can use bitmap textures to give an interesting effect to objects and/or the background. You can easily drag a bitmap on to the background, text face or text sides. You can use any BMP, ICO, PNG, JPEG or GIF file. Textures can also be set for buttons, boards and borders with the options below.

For light colored textures you can use the normal lighting. Darker textures need bright lights (white or pale colors) to give the best results.

If you select individual characters, then you can apply the texture to just the selected text.

You can change the size, position and angle of the texture from texture options. If you make the bitmap smaller than the heading, you see multiple copies of the bitmap.

Ways to display texture options

Click the texture options button on the toolbar (see the icon above left).

Click the texture options tab on the right of your screen (don't see this?).

Click the options menu, then select texture.

Press Alt-X.

Drop-down list

Normally the options are for text, text faces, text side and background.

If you are creating a button, board or border design there will be specific options relating to them too.

Texture

Select this to display a texture on the option listed in the drop-down list (see above).

Tint

(Dimmed unless texture selected. This duplicates the tint button in color options.)

Select this if you want to tint (slightly recolor) the texture. You can then use color options to modify the color of the texture.

Size

Scales the texture bitmap. Only you know the best size for a particular heading. At large scalings, the individual pixels that make up the bitmap may become noticeable—this can create interesting effects. At smaller scalings you see multiple copies of the bitmap.

X

Move the bitmap sideways. This lets you position the bitmap precisely. Movement is relative to the bitmap size—for a small bitmap (as you get with low values of Size), movement is less noticeable. Note that if you rotate the texture, you also rotate the angle of X movement.

Y

Move the bitmap (or button text) vertically. Similar to X.

Angle

Rotate the texture.

Load texture

Opens the load texture dialog box.

Note: Flash vector format does not support textures. Selecting display as Flash dims all texture options.


Animation options

You can create Animated GIFs and AVI movies using Xara3D. More details of creating animations.

You can preview the effect of the current Animation settings by clicking start/stop animation button or pressing Ctrl-Space..

Ways to display animation options

Click the animation options button on the toolbar (see the icon above left).

Click the animation options tab on the right of your screen (don't see this?).

Click the options menu, then select animate.

Press Alt-A.

Frames per cycle

Dimmed for step animations, typewriter animations and pulse animations.

This is the number of frames for each complete cycle through the animation sequence. The greater the number of frames the smoother the animation. The drawback is that the file is bigger - this is a big disadvantage for web graphics. You may need to try different values to get the best results.

Multipage animations: this is the number of frames for each page.

Frames per second

Dimmed for step animations, typewriter animations and pulse animations.

The animation speed. Slow speeds can give jerky movement. High speeds can also give jerky movement as the program displaying the animation may not be able to keep up. Again you may need to try different values.

Pause

You can pause Animated GIFs, screensavers and Flash movies but not AVI movies.

This pauses the first frame before continuing the rest of the animation. Type in a value in centiseconds (1/100ths of a second) - a 2 second pause is 200 cs. Note that this applies only to the first frame; use frames per cycle and frames per second to control the overall speed of the animation.

Multipage animations: Pause applies to each page in the animation.

Loop

This applies to animated GIFs only. This lets you specify how many times the animation should repeat itself. Note that some browsers take any value other than 1 to mean 'loop forever'. Therefore, your animation either plays once or forever. Other browsers may display the animation correctly.

Apply to

These options are grayed out unless you are using a border design (see design options for more information).

This allows you to alter the animation on the border separately to the text, or you can select both to apply the same settings to both.

Animation picker

Import from a number of pre-defined animation styles. A preview of each animation is available before clicking open.

Style

Choose from a number of standard animation types, or import an animation using the animation picker button (see above).

Please note: pulse and typewriter animations do not work on the board with holes design.

Rotate options:

  • Rotate 1 rotates all the text as one; Rotate 2 rotates each character. (Buttons have a single Rotate option.)

  • Front face only—normally the animation shows only the front face of the text and not the back. This looks better and makes the exported file smaller (because there's only half the number of frames.)

  • Rotate text/Rotate lights—select whether you want the text to rotate or the lights or both. You cannot rotate the shadow as this would create very large files.

  • Direction—selects the direction of rotation.

Swing options:

  • Swing 1 swings all the text as one; Swing 2 swings each character. (Designs have a single Swing option.)

  • Angle—how much you want the heading to swing.

  • Angle check box—when selected the heading rotates through 180º. This button mainly applies to multipage animations. With Angle selected, the animation moves to the next page after each complete rotation (a complete left & right or up & down cycle). With Angle unselected, the change to the next page is at the start of each swing (for example, as the heading starts to swing left and then again as it starts to swing right). This means you can create animations with half the number of frames as with Angle selected.

Pulsate options:

  • Pulsate 1 pulsates all the text as one; Pulsate 2 pulsates each character. (Buttons have a single Pulsate option.)

  • Minimum text size—how far back to pulsate the text.

  • Shrink+Grow & Grow+Shrink—sets whether the animation begins be shrinking or growing.

  • Overlap page— this applies to multipage animations. With Overlap pages unchecked, you see each page separately in sequence. When checked, each page pulsate out of the previous page.

Ripple options:

  • This gives the effect of the text bobbing up and down character by character when in text mode. In other design modes (such as button) the entire design moves.

  • Amplitude—sets how far the characters or design go up and down.

  • Direction— sets the direction in which the animation starts (most noticeable on text designs).

Fade options:

  • Fade in—the heading emerges from the background color.

  • Fade out—the heading merges into the background color.

Step options:

  • This displays a series of static (non-rotation) headings in a multipage animation.

  • Frame duration—how long to display each page in the animation.

Typewriter options:

  • The text appears as sequential characters, the same effect as you would get by typing in the characters.

  • Frame duration—the delay between characters.

Pulse options:

  • This enlarges or shrinks each character in turn through the text message.

  • Frame duration—how long to display each character for.

  • Size—the percentage size of the pulsed character. 100% is no change.

Wave options:

  • An option for Rotate 2, Swing, and Pulsate animation types. Wave is particularly effective with Pulsate.

  • Wave looks best with longer lines of text. The effect is that of a wave flowing along the text.

  • %—how large to make the wave.

  • Direction—the wave direction for single line headings is only horizontal. (Both buttons dimmed.) The wave direction for multiple line headings wave is either horizontal or vertical


File menu

New

Open a new document. You are warned if the existing document has unsaved changes.

Open

Open (reload) an existing Xara3D .X3D file. (A file previously saved using save or save as.) You cannot reload GIFs, JPEGs, AVIs, or PNGs exported from Xara3D.

Save

Save the document as an .X3D file. This lets you reload it back into Xara3D in the future.

Save as

Save the document under a different name.

Save as default

The default document is the document you see when you select new. If you want a customized default document, make the required changes then select save as default.

Import

Lets you import a 2D object (Windows metafile WMF/EMF or Xara WEB/XAR.) Xara3D can then turn it into a 3D heading (more details.)

Import animation

Opens the import animation dialog box. Lets you import a X3D file and apply the animation settings in that file to the current heading.

Import design

Lets you import a Xara3D file (X3D), Xara WEB/XAR or Windows metafile and use that as a button, board or border shape. Any existing text appears on the face of the design (more details).

Import style

Opens the import style dialog box. This lets you copy features (such as colors and lighting) from an existing X3D heading into the current heading.

Export bitmap

Create a GIF, JPEG, or PNG bitmap file of the current document. Note that you cannot reload bitmaps back into Xara3D (except as background or text textures) so if you want to make further edits in the future, save the document as an .X3D file. (See save and save as above.)

Export animation

Create an Animated GIF or AVI movie of the current document.

Export to screensaver

Create a SCR screensaver file

Recent file list

A list of the last few files edited. Advanced users can change the number of files in this list—see hidden options.

Exit

Quit Xara3D


Edit menu

Edit

Display the text caret (the line that indicates where you are in the text) ready for on-screen editing of the text. More details of editing text.

Undo

Undo the last edit. More details of undo & redo.

Redo

Undo the last Undo operation. More details of undo & redo.

Cut

Grayed out unless specific characters are selected. Cutting the text removes it from the design and places it on the clipboard. This text then can be pasted into a different part of the design (see paste below for more information).

Copy

If specific characters are selected it is similar to cut (above) except that this doesn't delete the text. If you select copy without selecting text, it copies the entire design. This can then be easily pasted into Xara X¹ or later.

Paste

Paste is different depending on what you have on the clipboard:

  • If you have the cursor turned on, and have text on the clipboard, the text will be pasted at the cursor position.

  • If you have the cursor turned off, and have text on the clipboard, the text will overwrite all text in the design.

  • If you have an object copied from Xara X¹ or later, a shape will be created by pasting the object in Xara3D. The result depends on what design type you are in: in button, board or border designs the object will be applied to the design's shape. In just text mode, the object will be pasted as a text character.

  • If the option is grayed out Xara3D cannot interpret the clipboard contents (for example, if the clipboard contains a bitmap).

Delete

Discard the selected text.

Select all

Select all the 3D objects on all pages ready for editing.

Select page

Select all the 3D objects on this page ready for editing. Objects on other pages remain unselected.

Select line

Select the line containing the text cursor. (By default the bottom line.) For a single line of text this is the same as select all.

Insert page break

Page breaks separate pages in an animation that shows a sequence of messages.

Edit comment

Lets you add comments (notes) to X3D files. These comments are just for information—they do not change the appearance of the 3D design. You see these comments in the save, open and import dialog boxes.


View menu

Text color

Display the color options ready to edit the color of the text of the design. More details on the color options.

Text texture

Select a bitmap texture to display on the text of your design. More details of using textures.

Face color

Display the color options ready to edit the color of the face of the design. More details on the color options.

Face texture

Select a bitmap texture to display on the face of your design. More details of using textures.

Side color

Display the color options ready to edit the color of the sides of the design. More details on the color options.

Side texture

Select a bitmap texture to display on the sides of your design. More details of using textures.

Background color

Display the color options ready to edit the color of the background. More details of changing the background color.

Background texture

Select a bitmap texture to display as the background. More details of using textures.

Button text color

(Dimmed unless you are creating a button)

Display the color options ready to edit the color of the text on a button. More details on the color options.

Display lighting

Show the three colored lights. You can then change their positions or, by double-clicking, their color. More details on the lights.

Light source 1

Display the color options ready to edit the color of Light 1. More details on the lights.

Light source 2

Display the color options ready to edit the color of Light 2. More details on the lights.

Light source 3

Display the color options ready to edit the color of Light 3. More details on the lights.

Shadow color

Display the color options ready to edit the color of the shadow. More details on shadows.

Display as Flash

Some Xara3D features do not exist in Macromedia Flash format. More details.

Display hotspot

This is used by cursor files (CUR & ANI) to denote the active part of the cursor—more details.

Start/stop animation

Start or stop the on-screen animation. More details on animation options.


Design menu/toolbar

Whereas Xara3D only used to be able to offer button designs, with Xara3D 6 the new design menu and design toolbar both allow you to access a variety of design types. More advanced design settings can be found under design options.

Text

This design is plain text, with no special shape.

Button

As with previous versions, places your text on a button.

Board

Creates 3D text as if it's coming out the top of a board.

Board+holes

With this option, the text is cut out of the board and you can see through the holes..

Border

Creates a border around your text, and text can look as if it's suspended in the air.

Note: you can load a sample design using the design picker, and it will look different depending on what option you have chosen above. One design template, many different combinations!


Options menu

Text

Open the text options dialog box. This dialog box provides a range of options for changing the appearance of text. More details on this dialog box.

Color

Open the color options dialog box. This dialog box lets you change the text, background, shadow, and lights colors. More details on this dialog box.

Extrude

Open the extrusion options dialog box. This lets you change the depth of the 3D extrude. More details on this dialog box.

Design

Open the design options dialog box. This lets you create 3D text buttons, boards and borders. More details.

Bevels

Open the bevel options dialog box. More details on this dialog box.

Shadow

Open the shadow options dialog box. More details on this dialog box.

Texture

Open the texture options dialog box. More details on this dialog box.

Animate

Open the animation options dialog box. More details on this dialog box.


Window menu

Display frame

Display the image in a separate window (the frame). This duplicates the show/hide frame button on the standard toolbar. The frame is a convenient way of viewing small images.

Frame size

Open the frame size dialog box. This lets you precisely set the frame (and hence image) size.

Quality settings

Change the on-screen viewing quality. More details.

Standard toolbar

Display the toolbar at the top of the window.

Design toolbar

Offers quick access to the different design types.

Options toolbar

The icons to the left of the screen which offer quick access to various options.

Text toolbar

Display the text toolbar at the bottom of the window.

Time line

Display the time line.

Status bar

Display the status bar at the bottom of the window.

Option bars

Where, by default on the right of the screen, the various Xara3D options can be found.

Customize

For advanced users to customize how Xara3D's toolbars, menus and right-click menus.

Reset user interface

Resets all toolbars and windows to their default positions.


Animation picker (import animation)

This lets you copy the animation style of an existing X3D file to your current design.

Your design and its text won't be changed, just your animation style. It’s a great time saver if you want to copy a particular animation style from one graphic to another, particularly if it’s a complicated style with, for example, different animation types applied to alternate lines or characters.

Ways to display the animation picker

Click the animation picker button under the animation options tab on the right of your screen (don't see this?).

Click the file menu, then select import animation.

Click the animation picker button on the standard toolbar.

Press Ctrl-Shift-A.

Then just select the required X3D file, and if you like the results shown in the preview window, click open.

Notes

  • By default, after installing from the CD, Xara3D will open the animation picker in a folder of over 70 animation examples. But you can copy an animation style from any X3D file, even one you have created yourself.

  • To save your own animation styles for easy access, you can save the X3D files into the animations folder within your Xara3D program folder.


Design picker (import design)

As well as the range of predefined design shapes, you can also use imported shapes to create button, board, board with holes and border designs. Suitable formats are Xara3D X3D files, Xara WEB/XAR files and Windows metafiles WMF/EMF (see notes).

Your current text won't be changed, just the design features that you select to import.

Ways to display the design picker

Click the design picker button under the design options tab on the right of your screen (don't see this?).

Click the file menu, then select import design.

Press Ctrl-Shift-B.

Just select the required X3D file and click open. The imported shape will then be used as the design's shape.

Note: if you are in text design mode, importing a shape will automatically switch you to a button design.

If you are using Xara X¹ or later

You can design your own shapes in Xara X then easily import them into Xara3D

  1. In Xara X copy the object you wish to use (Ctrl-C, or select edit then copy).

  2. Switch to Xara3D and paste the object (Ctrl-V, or select edit then paste).

If you wish, you can then copy the 3D design and easily paste it back into Xara X.

Note: if you are in text design mode, the shape will be used as a text character and not as a design.

Notes

  • By default, after installing from the CD, Xara3D will open the design picker in a folder of over 80 examples. But you can copy a design style from any X3D file, even one you have created yourself.

  • To save your own designs for easy access, you can save the X3D files into the designs folder within your Xara3D program folder.

  • When importing X3D file with text in them, the first character is used as the design shape. All other information is ignored.

  • There are some points to note when importing WEB/XAR files and Metafiles.


Style picker (import style)

This lets you import features of an existing X3D file into your current design.

You can select which parts of the design you wish to copy—everything from the colors, lighting or bevel to the animation.

Your current text won't be changed, just the design features that you select to copy. It’s a great time saver if you have created a style that you want to copy across other graphics.

Ways to display the style picker

Click the file menu, then select import style.

Click the style picker button on the standard toolbar.

Press Ctrl-Shift-Y.

Just select the required X3D file, check or uncheck the required features in the left hand side of the style picker, and if you like the results show in the preview window, click open.

Notes

  • By default, after installing from the CD, Xara3D will open the style picker in a folder of hundreds of examples. But you can copy styles from any X3D file, even one you have created yourself.

  • To save your own styles for easy access, you can save the X3D files into the samples folder within your Xara3D program folder.


Export options for animated cursors (ANI)

To learn more about creating cursors see creating cursor (CUR & ANI) files.

Because animated cursors can be quite large, you may find that a 16 color, optimized palette per frame, produces the best results for the smallest file size. However you might need to experiment.

Dithering always makes cursors look better, but also makes them larger. When outputting at 256 colors you may find that there is no need to turn dithering on.

Current window size lets you export just the area surrounding the text (crop on) or the entire window area (crop off).

User defined lets you specify the dimensions of the bitmap. With fit to width (on the text toolbar) selected, the text and the background scales to suit the values you type in. If you specified a font size, the size of the text does not change but the background scales to the values you type in. This is useful if you want to create several headings, all the same height and width.


Export options for animated GIFs

To learn more about exporting animated GIFs see creating animations and movies.

Because animated GIFs can be quite large, you may find that a 16 or 32 color, optimized palette per frame, produces the best results for the smallest file size. However you might need to experiment.

Dithering always makes GIFs look better, but also makes them larger. When outputting at 256 colors you may find that there is no need to turn dithering on.

Current window size lets you export just the area surrounding the text (crop on) or the entire window area (crop off).

User defined lets you specify the dimensions of the bitmap. With fit to width (on the text toolbar) selected, the text and the background scales to suit the values you type in. If you specified a font size, the size of the text does not change but the background scales to the values you type in. This is useful if you want to create several headings, all the same height and width.


Export options for AVI movies

Color depth. Choose between the different amount of colors in your video. True color will give more accurate results, but may create a large file. Try exporting at both color depths to se what results work best.

Current window size lets you export just the area surrounding the text (crop on) or the entire window area (crop off).

User defined lets you specify the dimensions of the bitmap. With fit to width (on the Text Toolbar) selected, the text and the background scales to suit the values you type in. If you specified a font size, the size of the text does not change but the background scales to the values you type in. This is useful if you want to create several headings, all the same height and width.

AVI options. Clicking this will allow you to choose from any of the movie codecs on your system. A movie codec is basically the system used to create the movie file itself, and some formats are better than others. Use the default, or select a codec of your choice. For some codecs you can also set the quality percentage and how often key frames are set, and you can click configure for more options.


Export options for Flash bitmap format

Export options for Flash bitmap format (SWF) files

These options apply to both static and animated SWF files. More information on creating Flash files. To learn more about exporting movies see creating animations and movies.

Current window size lets you export just the area surrounding the text (crop on) or the entire window area (crop off.)

User defined lets you specify the dimensions of the bitmap. With fit to width (on the text toolbar) selected, the text and the background scales to suit the values you type in. If you specified a font size, the size of the text does not change but the background scales to the values you type in. This is useful if you want to create several headings, all the same height and width.

Color depth: the more colors, the larger the file size. For animations where each image appears for only a short period you may find 256 colors gives satisfactory results.

Dithering (dimmed except for 256-colors). None creates the smallest files but you may see bands of colors instead of smooth color graduations.

Transparent (dimmed for High-color): select this for a transparent background to the animation. Deselect for a solid background.

Lossless and quality (dimmed except for true-color): quality values below 100% give smaller files but at a lower quality. Lossless is equivalent to 100% quality. You may need to experiment to get the best tradeoff between quality and file size.


Export options for Flash vector files

Export options for Flash vector format (SWF) files

These options apply to both static and animated SWF files. more information on creating Flash files. To learn more about exporting movies see creating a movie or animated GIF.

Note that Flash vector format does not support some Xara3D features (such as shadows and textures). You can use Xara3D features not supported in vector format except shadows but these get exported as bitmaps within the Flash file and can make the file much larger. If you intend to output in SWF format, we suggest using the display as Flash option on the View menu.

Current window size lets you export just the area surrounding the text (crop on) or the entire window area (crop off.)

User defined lets you specify the dimensions of the bitmap. With fit to width (on the text toolbar) selected, the text and the background scales to suit the values you type in. If you specified a font size, the size of the text does not change but the background scales to the values you type in. This is useful if you want to create several headings, all the same height and width.

Quality: the higher the quality, the larger the file. You may need to experiment to get the best tradeoff between quality and file size.


Export options for GIF or BMP

Exporting GIF, PNG or BMP files

GIF export is the most common and probably the best format for use on the web. GIF images can have no more than 256 colors, which you might think is a limitation. However, using Xara3D’s advanced dithering and palette optimization features, you can get near perfect quality images using only 256 colors. Indeed you'll be surprised at how good GIFs with just 16 colors can be.

For all export formats you have control over not only the number of colors but also whether the image is dithered and has an optimized palette. These are techniques to improve the image quality while using a reduced number of colors. For example using only 16 color GIF nearly always produces the smallest file size, but with no dithering the shading can be poor. By using an optimized palette and diffusion dithering you can substantially increase the quality of the result.

There are no hard and fast rules as to which combination of export options is best—it depends on the image and your requirements. Therefore we recommend exporting in a number of different formats to see which is the best and has the smallest file size. Typical options to try include 16 color with diffusion dithering, or 256 color with no dithering.

When exporting as a GIF or PNG you have the option of making it interlaced (progressive rendering as it’s downloaded) and whether the image is transparent. For more information on the available export options, including help with printing, see export dialog box.

BMP export formats

Many other Windows programs can import BMP files but often they do not support the full range of color depths available in Xara3D. For example Adobe Photoshop cannot import High-color (16 bit) BMPs. This is beyond the control of Xara3D. If you have problems importing BMPs, try a different color depth.

Additional quality control

If you bought the CD version of Xara3D you will have received a free copy of Webster (or details on how to obtain it). Webster provides even more advanced color reduction facilities and can be used to further reduce the size of files by selecting intermediate numbers of colors. To do this, export the image as a True color 24-bit BMP image and use Webster to color reduce the file to a specific number of colors.

Also available from Xara is Xara X, an enhanced and updated version of Xara Webster. More details on Xara X.


Export options for JPG

Exporting JPEG files

JPEG bitmaps are always 24-bit, true color, but the JPEG compression system means that the quality is often not as good as a GIF. The quality setting determines how small the resultant file is—the higher the quality, the larger the file. Quality settings less than 80% usually produce inferior images to those available from using palette optimized GIFs.

A progressive JPEG is similar to an interlaced GIF. The JPEG displays first as blurred (low resolution) image. As more of the file loads, the image comes into focus. Note that some older browsers do not support progressive JPEGs—the image displays when all the JPEG has loaded.

For more information on the available export options, including help with printing, see export dialog box.


Screensaver

Export as screensaver (SCR)

You can export Xara3D graphics as a Windows screensaver (SCR) file. Screensavers prevent a static image from burning the screen, so we would suggest:

  • Use a black or dark colored background, not white or light colored.

  • Create the animation such that there are not light-colored static areas.

To create a screensaver

  1. Create the animation in the regular way or select from one of the sample screensaver animations in the examples folder.

  2. Choose export screensaver on the file menu.

  3. There are a number of preset options. Low is one third of your current screen resolution, medium is half, high is three quarters and full is your full screen resolution. You can also choose from a number of standard resolutions by choosing other. We recommend selecting a value half the screen area. (For example 512x384 for a 1024x769 screen area.) This should give a good quality image without creating a large file size. Sizes larger than this require a faster computer to animate smoothly.

  4. AVI options. Xara3D screensavers are effectively movies within a sceensaver. Clicking this will allow you to choose from any of the movie codecs on your system. A movie codec is basically the system used to create the movie file itself, and some formats are better than others. Use the default, or select a codec of your choice. For some codecs you can also set the quality percentage and how often key frames are set, and you can click configure for more options. Please note: if distributing the screensaver to others, they will also need that codec.

  5. You have two options as to where to save the file:

    Install—this saves the screensaver into the Windows system folder and makes it the default screensaver. (You can save to a different folder but we recommend using the default system folder as screensaver files in this folder are easier to reinstall in the future.)

    Save—this saves the screensaver to a folder of your choice. This does not make this screensaver the Windows default.

  6. Enter a name for the screensaver file.

  7. Click Save.

Because Xara 3D has to generate each frame of the animation, this process can take a few minutes.

Tips

  • To create a smooth screensaver animation it's recommended you have create an animation with a fast animation speed (15 to 20 frames per second) and between 50 and 100 frames in each cycle.

  • Windows stretches the animation to fill the screen. If you want the text to partially fill the screen, select a point size, such as 72pt from the text size drop down, instead of Fit to width.

Previewing a screensaver file

  1. Browse to the screensaver (SCR) file.

  2. Right-click on the file. This pops-up a menu.

  3. Click Test to preview.

Using a screensaver file

If, in step 4, you installed the new screensaver as the default, everything is already set up for you. No further action is necessary.

If you saved the screensaver to the Windows system folder:

  1. Click Start on the Taskbar. If you are using Windows XP, go to step 3.

  2. Choose Settings.

  3. Choose Control Panel.

  4. Double-click Display.

  5. Click the ScreenSaver tab.

  6. The screensaver drop-down list shows all screensavers in the system folder. Choose the screensaver you want.

  7. Click OK to make the selected screensaver the default.

If you saved the screensaver to a different folder:

  1. Browse to the screensaver file.

  2. Right-click on the file. This pops-up a menu.

  3. Click Install to select the screensaver. Then click OK to make the screensaver the default.


Altering the background color or texture

To use a flat color as the background behind the text

Open color options and then select background from the drop-down list. Then choose a color.

To use a bitmap texture as the background

Open color options and then select background from the drop-down list. Click the texture checkbox, and you will be prompted to choose a texture.

You can also right click on the background and select background texture, or you can drag-and-drop a texture onto the background.

Bitmap texture backgrounds are useful where you want a 3D text heading to appear on a web page that has a texture background. Using the same bitmap as the web page background ensures that any 3D heading 'fits in' with the whole page background. You can import any BMP, ICO, PNG, JPEG or GIF file as a background and Xara3D repeats this (tiles it) in exactly the same way as a Web browser.

After choosing a texture you can move it relative to the text. Either drag on the background (not the text) or, for more precise control, use the texture options.


2D objects

2D Objects are two dimensional objects imported in Windows metafile (WMF & EMF) format or Xara WEB & XAR format. Use import on the file menu to import 2D objects. Or use import design if you want to use the object as a button, board or border shape. If you own Xara X¹ or later you can also design a shape in Xara X then paste it into Xara3D. More information.


Adding comments to X3D files

You can store comments (descriptive notes) in Xara3D format (X3D) files. These formats are just for information—they have no effect on the appearance of the 3D heading. You see these comments in the Save, Open and Import dialog boxes.

To add a comment

  1. Choose Add comment on the Edit menu (or type CTRL+M).

  2. Type in the comments. To start a new line type CTRL+ENTER.

  3. Click OK to add the comments. Saving the heading saves the comments in the X3D file.


Altering the bevel

The bevel is the type of corner applied to edges.

Interactive bevel tool

For quick, interactive bevels on your design just hover your mouse over the side of your object and hold the shift key so that your mouse pointer changes to the bevel tool (see left). You can then just click and drag the bevels on the object. For more detailed settings, bring up the bevel options (see below).

Bevel options

For greater control of your bevels:

  1. Open bevel options.

  2. Select from the list of bevel types (see Notes).

Set the bevel size by typing into depth.

Select miter or round (see notes).


Altering the font

Bring up the text options to change the font and its style.

You can also alter the font without bringing up the text options. Use the drop down list on the text toolbar (normally at the top of the screen) to alter the font. Any installed TrueType font is available in the font list. With Xara3D you may find that some of the more unusual block and ‘curvy’ fonts work particularly well.

Click B (or press CTRL+B) to make the text bold.

Click I (or press CTRL+I) to make the text italic..

Note: you can apply a different font to a part of the text. Select the characters you want and then change the font.


Altering the lights

Xara3D has three lights shining on the objects. These lights can be any position and color.

To view the lights

Press the light bulb button or press Ctrl+Tab.

This shows the three lights, represented by colored arrows. A fourth arrow (striped arrow) controls the position of the shadow.

To change the color of a light

Double click the appropriate light arrow or select the appropriate light in the color options.

Details of changing the color of the shadow.

To reposition a light

Drag the arrow. This rotates the light around the text object.

To move a light behind the objects, just keep dragging right or left until it rotates behind the objects.

Note: you can rotate the lights in some animation types—see creating an animation.


Altering the text

Maximum number of characters: 120

You can either directly edit the text in the window or use text options dialog box. Text options is easier to use when editing complex text that is slow to redraw on screen.

What do you want to do...

  • Add characters to the end of the text?

  • Delete characters from the end of the text?

  • Start a new line?

  • Add or delete characters in the middle of a line?

  • Change only selected characters?

  • Change the spacing between characters?

  • Make characters wider or narrower?

  • Change the height of selected characters?

  • Change the spacing between lines of text?

  • Change the alignment of lines of text?

  • Make text hollow (outlined)?

  • Type in accented (international) characters?

  • Start a new page in a multipage animation?

  • Merge two pages in a multipage animation?

  • Move the text on a button, board or border design?


Altering the text color

You can make the text any color. This color is then modified by the three lights shining on the text.

Changing the text color

  1. Open the color Options. (Or double-click on the text.)

  2. Select the color you want. (See Notes.)

If you select anything but a very light or pale color you'll find the light colors have relatively little effect.

Note that you can use the same color on the faces (front/back) as on the sides. Or you can have the faces a different color to the sides and bevel. Select the required option from the drop-down list in the Color Options dialog box.

Shiny or matt text surface

The surface of the text can be shiny or matt— this alters the reflectivity of the surface. The extrude options control this.

However the difference won't always be obvious unless the lights are at the necessary angle to reflect off the surface. This is usually by moving a light behind the text (keep dragging the light right or left so it goes behind) so it can reflect off the surface of the text.

Notes

  • You can apply a different color to a part of the text. Select the characters you want and then change the color. Note you can tint a texture to change its color slightly.

  • The sides (and bevels) can be a different color to the face of the text.

  • If you are creating a 3D button, select button text to change the text color. The front and sides options change the button colors.

  • Changing the color automatically removes any texture already applied to the text or background. Select texture to reapply the texture.

  • If you want to tint a texture (modify its color), select texture and tint.


Altering effects on selected characters

Altering the effects applied to individual characters

You can alter any of the effects (such as color or extrude depth) applied to an individual character or selected group of characters. This lets you give, for example, one character a different bevel shape to the other characters in the heading.

Altering the effects

  • Select the character or characters you want to alter—more details.

  • While the characters are selected, any changes you make apply only to those characters.

Note: you cannot apply effects to individual character in the board with holes design type.


Button corners

Changing the corner radius of buttons

You can alter the radius of the corner of Xara3D buttons. Alternatively you can make the corners square (no radius).

To change the corner radius

  1. Open design options.

  2. Use corners to set the radius (curvature) of the corners. 100% is the default radius; above 100% increases the radius.

Deselect corners for the default radius.

Notes:

  • Deselecting corners (or using small corners) for the rounded option creates a diamond.

  • This option is dimmed for imported button shapes.


Example 2D graphics

These are in the 2D shapes folder. You can use these examples to create 3D designs or as extruded shapes. Customize to your requirements and then export. Simple. Examples are divided into categories to make navigation easier.

You can also use example files to create shapes using the design picker.


Example 3D graphics

These are in the Samples folder. You can use these examples as templates for your own heading. Find an example similar to the heading you want to create. Customize it to your requirements and then export it. Simple. Examples are divided into categories to make navigation easier.

You can also use import the style of designs using the style picker.


Textures

These can be used either on the face of your headings or as backgrounds behind them. Textures are regular GIF files so you can use them as background on your web pages.

  • Using textures to color headings

  • Using background textures

Textures are divided into coarse (very large patterning), medium, and fine (small patterning.) These are subdivided into high contrast (large color changes), middle, and low contrast (subtle color changes).

Wood and stone are collections of textures based on wooden or stone/gravel photographs. All these textures are duplicated in the coarse, medium, or fine folders.

Symbols are a collection of commonly used symbols—phones, pointing hands etc—that you might find useful for buttons (though of course you can use any symbolic font to create your button text).


Changing button, board or border size

When exporting your design, you can set the overall size of the image.

You can also adjust the size of the button on screen by resizing the entire Xara3D window, or by using the frame.


Changing the default document

(The Default document is the document you see when you click New or open Xara3D.)

  1. Open a new document.

  2. Make the changes you want (for example, changing the text).

  3. Choose save as default on the file menu.

To restore the original default document, delete the file default.x3d in the folder where you installed Xara3D.


Correcting mistakes

You often need to experiment to get the best results. Xara3D makes this easy—if you don't like the result use the undo button to discard the change. The undo button is a curved arrow pointing to the right. You can also select edit then undo, or press the Windows standard Ctrl-Z). It's not just the last operation you can undo. Xara3D has unlimited undo so you can step all the way back to the beginning.

If you step back too far, click the Redo button. The redo button has a curve arrow pointing to the right. You can also select edit then redo, or press the Windows standard Ctrl-Y. You can use Redo at any time until you make new changes.


Creating animations and movies

It's easy to create GIF & Flash (SWF) animations, animated cursors (ANI format) and AVI movies in Xara3D. You can preview animations by pressing the start/stop animation button or pressing Ctrl-Space. You can control the animation speed and frame rate using the animation options.

You can either animate a single heading or a sequence of headings (called multipage animations).

For rotating animations Xara3D includes an option to show only the front face of the objects. This restricts the rotation to 180 degrees so that, although it appears to perform a continuous rotation, it actually skips 180 degrees and text is always readable. This has another significant advantage of reducing the file size of the animation, particularly important for Animated GIFs. You can also choose 360 degree revolution if you want to see the back of the objects.

Steps to producing a movie or animation

  1. Resize the Xara3D window to the required image size. (Or for smaller images display the frame.) Remember that animations need be very small to have an acceptable download time.

  2. Select the animation options and choose the number of frames for a complete cycle through the animation. Again for animations the fewer the better.

  3. Choose the number of frames per second (animation speed). A slow animation speed with only a few frames per revolution can give a jerky animation—you may need to experiment to get the best results.

  4. Choose the animation style. More details of the animation styles.

  5. Select export animation on the file menu. Select the file type. Give the file a name and press save. This displays the export quality dialog box where you can select the size, number of colors etc., see export options for AVI movies, export options for Flash bitmaps, export options for Flash vector format, export options for animated cursors and export options for animated GIFs.

When previewing an animation, the program displays a much lower quality to be as fast as possible—however when exporting an animation or movie Xara3D always renders all frames at the maximum quality. To preview an animated GIF simply drop the file onto your web browser window.

Xara3D can produce, in minutes, top quality animations and movies that would take hours using traditional 3D design programs.

Notes:

  • Xara3D step animation displays a static (non-rotating) image. It is best used in multipage animations where a sequence of headings is displayed.

  • Flash vector format animations: Flash vector format does not support several Xara3D features. We recommend selecting display as Flash as this disables unsupported features. Flash files can be large and you may find animated GIF or AVI format gives smaller files.


Creating button templates

Xara3D includes a range of predefined button shapes.

You can also create your own button shapes for use as templates in the future. This is very handy if, for example, you want to use a consistent shape, bevel and extrusion for the buttons on your site. Just save this shape into the designs folder. It also means that you can create irregular shaped button templates from imported shapes or TrueType symbols.

To create a button template

  1. You can use either a character from a font (see Notes) or an imported 2D shape for the button shape. Load the character or shape you want to use.

  2. Select the required bevel shape and size.

  3. Select the required extrusion.

  4. Save the character or shape to the designs folder. This is in the folder where you installed Xara3D.

Notes:

  • Angles, colors, textures and shadow in the template are ignored when creating a button.

  • Symbolic fonts often contain a range of shapes suitable for use as button templates.

  • A template can contain more than one character. However only the first character is used as the button shape. Other characters are ignored.


Creating buttons, boards and borders

You can use Xara3D to produce instant 3D designs in the shapes of buttons, boards and borders. You can choose these design types in the design options dialog or by clicking one of the buttons on the design toolbar on the left of your screen.

The colors, texture, extrude and bevel of the design are the current settings.

If the button doesn't have the right bevel or extrude depth, you can edit these via their own options.

Notes:

  • For extra design shapes click design picker under design options. This displays the designs folder. You can also add your own shapes to this folder; this makes them easily available for future use—details.

  • You can also import a 2D shape and use it to create a 3D design—more details.

  • After creating a design you can edit the wording in the regular way. See altering the text. (But see the next note.)

  • See this page for details of changing the text position on the design.


Creating cursor (CUR & ANI) files

You can use Xara3D to create static cursors (CUR files) and animated cursors (ANI files) for use within other programs (please refer to Windows help for using icons, we cannot help in the use of icon files).

Generally cursor files are small, standard sizes are 16x16, 32x32 and 48x48 pixels although you can create custom sizes. Some programs have a maximum size of 256x256 pixels.

A cursor shows you exactly where in the window you are clicking (for example which menu item). However, a cursor often covers two menu items. To determine which item to select, the cursor has a 'hotspot'. The item under the hotspot is the one you click on. Display hotspot on the view menu displays a cross showing you where the hotspot is for that graphic. Drag the cross to move the hotspot—by default the hotspot is in the center of the graphic.

Export options for CUR files

Export options for ANI files


Creating Flash format graphics

Creating Macromedia Flash format graphics

Macromedia Flash format (SWF) files are popular on web sites for both static and animated graphics. Flash format is not ideal for 3D graphics and can produce very large files. You will often get smaller file sizes using other formats such as GIF or PNG.

Xara3D supports both types of Flash file:

Vector format

This usually creates smaller files than bitmap formats such as GIF or JPEG. Also you can scale up vector files without losing quality. The disadvantage is that Flash vector format does not support many Xara3D features—full list. You can use Xara3D features not supported in vector format except shadows but these get exported as bitmaps within the Flash file and can make the file much larger.

If you want to create Flash vector files, we suggest selecting display as Flash on the View menu. This disables Xara3D options not supported by Flash vector format. The advantage only using only features supported by Flash is that you can scale the SWF file to any size without losing quality.

Our suggestions for creating the smallest possible Flash files:

  • avoid bevels. Some bevels are better than others, but if you leave them off altogether it will make a BIG difference. Typically a non beveled image is 5 to 10 times smaller without a bevel.

  • use sans serif fonts (serif fonts have 'bits' on the letters like curls, sans serif are smooth fonts—like on this page).

  • some animation types are better than others. But in particular the fade animation is good for small file sizes.

Bitmap format

This exports the graphic as a bitmap so you can use any of Xara3D's bevel types and shadows. The disadvantage is that bitmap files are usually larger than vector files. Also if you scale up a bitmap file, the individual pixels that make up the bitmap may become noticeable.

When you have created your graphic, select Flash vector or Flash bitmap as the file export type.

  • Exporting Flash vector files

  • Exporting Flash bitmap files


Creating multipage animations

You can create animations that display a sequence of different headings. Xara3D calls these "multipage" animations.

To create a multipage animation

  1. Create the first heading in the regular way.

  2. Insert a page break (Ctrl+Enter) to create a second page.

  3. Create the heading for this new page.

  4. Repeat steps 2 & 3 until you have created all the pages.

  5. Open animation options.

  6. Set the required animation options.

  7. Export the animation as either Animated GIF, Flash SWF or AVI (export animation on the file menu).

Notes:

  • All headings are at the same angle and share the same background color or texture.

  • You can also insert a page break by clicking insert page break (the button showing a diamond) in text options.

  • You can use the Page Up/Page Down keys on your keyboard to move between pages. Ctrl+Page Up or Ctrl+Page Down moves to the first or last page.

  • You can also use the page up/page down buttons on the right hand scrollbar to move between pages.

  • To select all the text on the current page use Ctrl+P. To select all the text on all pages use Ctrl+A.

  • See this page for general information on creating animations.


Customize

Xara3D's customization options are recommended only for advanced users. They can be accessed via window then customize, or by right clicking on a toolbar and selecting Customize.

Note: If you experience a problem with your windows or toolbars at any time, or wish to return them to their standard layout, click the window menu then select reset user interface.

Customize options are broken down into five areas:

Commands

Here you can add icons to a menu or the standard toolbar, and even create you own custom menu.

Click a category to see related commands to its right. You can drag any of the commands to the standard toolbar where they will be added to allow easy access to that tool or feature in the future. To remove a button, just right click it and select delete.

Commands can also be dragged to any of the menus. Or you can create your own menu. Click the New Menu option then drag the New Menu command to the menu bar at the top of your screen. To give the menu a custom name just right click it and select Button Appearance. You can then drag icons to it as you would with a standard toolbar (described above).

If you right click an icon or menu option, and select Start Group, a divider will appear between it and the previous icon or option (grayed out for the first option in the list).

Right clicking an icon and selecting Image and text will show a text label with the icon—useful if you forget what an icon does. To show all text labels, see the Toolbars option below.

Toolbars

Another way of choosing which toolbars and options to display. It is quicker to use the Window menu to achieve the same results.

If you select the standard toolbar, text options or time line, clicking Show text labels will show explanative text below each button. Note: the design toolbar's text will only show if the toolbar is docked horizontally across the page or is undocked completely. The text will not display when it is in its default position at the bottom right of your screen.

Keyboard

Here you can set the keyboard shortcuts. Click the relevant category then the command for which you wish to assign or change a shortcut. Any present shortcut will be listed under Current Keys. You can click it and select Remove to remove that shortcut entirely.

To add a new shortcut, just click in the Press New Shortcut Key box and type the shortcut. Press the actual keys, do not type it. i.e. do not type the word "Alt", press the Alt button as if you were using the shortcut.

Menu

This allows you to customize the right click menus available in the main working area. These are currently set to be relevant to the work in progress. i.e. if you right click a shadow, you get options relating to shadow control.

If you wish to change these, select the relevant menu from the Context Menus list, then go back to the Commands screen and add or remove commands as described in the Commands section above.

Please note: the Application Frame menu is not used in this version of Xara3D.

Options

These options are mostly self explanatory.

Show ScreenTips on toolbars. These are the little informational tool tips that appear when you hover your mouse over an icon.

Show shortcut keys in ScreenTips. Grayed out if you turn off the Screentips option above.

Large icons. Icons lose quality, but are bigger to see. If using this option you will probably need to rearrange your toolbars (see dockable windows).


Customizing Xara3D

What do you want to do:

  • Change the default document?

  • Display or hide toolbars?

  • Dock or undock windows?

  • Customize toolbars, menus and right-click menus (advanced users)?

  • Reset the menus/dialogs to their default format?


Design aspect ratio

Making designs wider or narrower

By default the width of Xara3D designs is the same as the height. You can change the design to make it wider or narrower (change the aspect ratio).

To change a design's aspect ratio

  1. Open design options.

  2. Use stretch to set a different aspect ratio (width:height). 100% creates designs with the same width as height; above 100% makes the design wider.

Note: See this page for details of making the text wider or narrower.


Display as Flash

Clicking the display as Flash icon (left) on the standard toolbar, or by pressing Ctrl-F, will adjust Xara3D so will any settings that aren't applicable for Flash export are disabled, and show you the preview accordingly. This will help you get an accurate impression of what your design will look like when exported as a Flash fie.


Displaying toolbars

The Window menu lets you control display of:

  • The standard toolbar at the top of the window

  • The design toolbar at the left side of the window

  • The options toolbar at the left side of the window

  • The text toolbar at the top of the window

  • The time line at the top of the window

  • The status bar, also at the bottom of the window

  • The options bars at he right of the window.

The Toolbars can be either docked at the sides of the window or free-floating—more details.


Dockable windows

Xara3D 6 has a brand new, customizable user interface. This topic covers some of what you can achieve.

To give you freedom in how you use the program, you can undock and move toolbars and windows and position them where you wish. This is particularly useful if you have two monitors, so you could for example put your windows on one screen and keep the other monitor dedicated to the Xara3D workspace.

Note: If you experience a problem with your windows or toolbars at any time, or wish to return them to their standard layout, click the window menu then select reset user interface.

Moving toolbars

There are five toolbars: standard, design, options, text and time line. You can turn these on and off via the window menu.

You can drag them around the screen by clicking and holding them (see the image to the right) and dragging. If you drag a toolbar to an edge of the program it will dock there. You can also just drag the toolbar out elsewhere on the screen, and it will undock entirely.

Option bars

The option bars can be found to the right of the screen when you first start Xara3D. Rather than opening and closing endless windows, most of Xara3D's settings are now contained here. You can easily switch between the tabs to access the different features.

You can turn this entire panel off or on via the window menu. You can also tailor how you use them as follows:

To undock an option bar

Just click and drag one of the options (where it says color options, extrusion options etc.) out of its current location. The window will undock, and you can position where you require. You can do this with as many of the windows as you wish.

If you find the window is redocking when you don't want to, hold the Ctrl key while moving it.

You can, if you wish, undock multiple windows them dock them too each other. Effectively you can create a second options bar. But be sure to resize this new docked group if the settings aren't visible.

If you do create a second options bar, you can drag it and dock it next to the original. Two option bars side by side will take up more screen space but can provide you easy access to more options if you require.

To redock an option bar

Just drag the window back to the panel options bar at the right of your screen, and the window will redock.

Pinning an option bar open

After undocking a window, by default it will minimise once you move your mouse away from it. As soon as you move your mouse back, it will expand. To get the window to remain open, just click the little pin icon at the top right of the window. Click again to return to the autohide format.

Removing or reopening an option bar

Once undocked, you can click the X icon in the top right hand corner of that window to close it.

To return the window to the work area, click options then select the window you wish to open or click the appropriate button on the options toolbar.


Exporting bitmaps

Export bitmaps

This controls exporting of BMP, CUR (cursor), static GIF, ICO (icons) JPEG and PNG format files. Not all options apply to all formats—for example Progressive applies only to JPEGs and is dimmed for other formats.

Size

Current Window Size lets you export just the area surrounding the text (Crop on) or the entire window area (Crop off.)

User Defined lets you specify the dimensions of the bitmap. With Fit to Width (on the Text Toolbar) selected, the text and the background scales to suit the values you type in. If you specified a font size, the size of the text does not change but the background scales to the values you type in. This is useful if you want to create several headings, all the same height and width.

Note: to print Xara3D work, we suggest you use the JPEG format as this is the most compact. However you can also use BMP, GIF or PNG if preferred. Set the export size to be around 1000 pixels wide, and that will produce a file that prints perfectly well. If you want to create poster sized images you may want to increase the output size to say 2000 pixels maximum. It is NOT necessary to save images any larger. This should produce a JPEG file under 100Kbytes large which you can them import into another program, such as Xara X, for printing (just resize the image in your other program to the desired size).

Color depth

Dimmed for JPEG as this is always 24-bit color depth. GIF format supports up to 256 colors only. Only BMP supports 16-bit High Color.

To keep files sizes small, we recommend using the smallest number of colors that gives acceptable results.

BMP export formats

Many other Windows programs can import BMP files but often they do not support the full range of color depths available in Xara3D. For example Adobe Photoshop cannot import High-color (16 bit) BMPs. This is beyond the control of Xara3D. If you have problems importing BMPs, try a different color depth.

Dithering

Dithering is a technique of smoothing color transitions for 256 colors or less. None produces the smallest file size but can show 'banding' when two colors blend together. Ordered and Diffused use different algorithms to reduce banding. You may need to try the different options to decide which is the best for a particular graphic.

Ordered dithering is available only with 256 colors.

Palette

This is the range of colors used in the exported bitmap. Optimized selects the most commonly used colors and usually gives the best results. High-color and True-color depths contain the full range of colors and so Palette is dimmed for these options.

Options

Transparent - dimmed for BMP and JPEG as these formats do not support transparency. Transparency makes background areas not covered by the graphic or shadow, transparent so you see the web page background in these areas (see Note below). Transparency has two meanings:

  • for True-color PNGs, transparency is graduated so you partly see the web page background through the shadow.

  • all other formats (including PNGs of 256 or fewer colors) use simple on-off transparency. That is, the shadow is solid and the Xara3D background color shows through the shadow.

Note: Xara3D 'anti-aliases' the edge of a transparent bitmap to the Xara3D background color. For best results you need to make the background color the same or similar to the color of the page the graphic will appear on.

Interlaced - applies only to GIF and PNG. When displayed on a web page, interlaced bitmaps appear first as a low-resolution image. The quality increases as more of the bitmap downloads. This is particularly useful for large bitmaps as the viewer sees the basics of the bitmap more quickly.

Progressive - applies only to JPEG. This is similar to Interlaced in that a progressive JPEG displays with increasing detail as more of the file downloads.

Quality

JPEG only. JPEG format compresses files by discarding unnecessary information. Quality controls how much information is discarded. Default is 80%, which usually gives the best balance of quality and file size. Above 80% produces larger files with little improvement in quality.

Below 75% the quality loss may be noticeable and you may need to use a higher setting. Our advice for the best results is use the lowest quality setting that gives acceptable results.

File size

This tells you the size of the bitmap with the current settings. The smaller the file size, the faster it will download over the Internet.

Preview window

This shows you how the exported bitmap will look with the current settings. It is a useful check that you have selected the best settings for this particular graphic.


Flash vector format

Flash vector format does not support these Xara3D features:

  • Creating a button

  • Rounded bevels (Flash supports only Miter bevels)

  • Rounded or curved bevel types

  • Shadows

  • Textures

Selecting display as flash dims or hides these options.


Hidden or advanced options

Wire-frame mode

You can turn on a wire-frame mode that can speed up the moving and positioning. To do this press CTRL+SHIFT+W Press it again to turn wire-frame off.

Perspective

You can adjust the Z distance of the objects using CTRL and + or - keys on the numeric keypad. Note that at maximum zoom you get a rather unrealistic perspective, as if the image were very close to the eye, causing a fish-eye lens effect. This exaggerates the perspective. The default perspective is about right for the typical distance these images will be viewed on screen.

To cancel any changes to perspective hold down CTRL and click * on the numeric keypad.

The following options are registry entry changes. Do not attempt these changes unless you fully understand editing the registry. It is always advisable to backup your registry before making alterations. We cannot offer support for these registry changes, or be held responsible for any damage caused by improper editing of the registry.

Close Xara3D before making these changes.

Editing mode

Registry key: HKEY_CURRENT_USER, Software, Xara, X3D6, Settings, Edit mode.

0 - apply any changes (such as font or size) to the selected region or (if there is no selected region) to all text.

1 - apply any changes to the selected region or to new characters you type in.

Compact save

Registry key: Software, Xara, X3D6, Settings, Save compact.

0 - save text and background textures as part of the X3D file. If you use textures, this creates larger files but is often more convenient.

1 - do not save textures in the X3D file.

Recent file list

This controls how many file names appear in the recent file list on the File menu.

Registry key: Software, Xara, X3D6, Settings, MRU count.

Enter a value between 1 and 10. Values below 1 default to 5.


Hollow text

Creating hollow text

You can turn off display of the faces of the text (show only the sides) to create interesting effects. This cannot be applied to the board with holes design. There are two options:

  • as outlined text with thick sides. Both the inside and outside edges show a bevel.

  • turn off display of either the front or back face. This creates totally hollow text - the sides are wafer-thin and you can see inside the text. Only the outer bevel is shown.

To create outlined text

Click outline on the text toolbar (the O symbol). Or, for more control, display the extrusion options dialog box. This duplicates the Outline button and also lets you control the width of the outline.

To turn off display of the faces:

  • Display the extrusion options dialog box.

  • Deselect outline.

  • Deselect front Face and back face for the result you want.

Note: You can make selected characters hollow. Select the characters you want and then select Outline. Similarly, text can have different outline widths.


Intro movie

The Xara3D introductory movie can be accessed in one of two ways:

If you have installed from the CD

In Xara3D, just click 'help' then 'play movie'.

If you are using the trial version of Xara3D

To keep the trial version small in download size, the movie is not included. However you can view it on our website.


Keyboard short cuts

Open new document CTRL+N

Open existing document CTRL+O

Save document CTRL+S

Export image CTRL+SHIFT+E

Export animation CTRL+SHIFT+X

Add comments CTRL+M

Import 2D object CTRL+SHIFT+I

Import animation CTRL=SHIFT=A

Import design shape CTRL+SHIFT+B

Import style CTRL+SHIFT+Y

Undo last operation CTRL+Z

Redo (cancel Undo) CTRL+Y

Open Animation Options ALT+A

Open Bevel Options ALT+B

Open Extrude Options ALT+E

Open Shadow Options ALT+S

Open Text Options ALT+T

Open Button Options ALT+U

Open Textures Options ALT+X

Display text bar CTRL+T

Display as Flash CTRL+F

Display hot-spot CTRL+H

Display Frame CTRL+R

Alter Frame size ALT+R

Display Time Line ALT+L

Display options Alt+O

Alter Frame size ALT+R

Display lights CTRL+TAB

Start/stop animation CTRL+SPACE

Add new page CTRL+ENTER

Cancel rotation ALT+HOME

1 degree rotation ALT+arrow keys

15 degree rotation CTRL+ALT+arrow keys

Change color of heading ALT+C

Change color of faces ALT+K

Change color of sides ALT+D

Apply texture to heading CTRL+SHIFT+C

Apply texture to faces CTRL+SHIFT=K

Apply texture to sides CTRL+SHIFT+D

Design picker CTRL+SHIFT+B

Change color of background ALT+G

Apply texture to background CTRL+SHIFT+G

Edit light 1 color ALT+1

Edit light 2 color ALT+2

Edit light 3 color ALT+3

Edit Shadow color CTRL+SHIFT+S

Make text bold CTRL+B

Make text italic CTRL+I

Make character to right of cursor upper case

CTRL+U

Make character to right of cursor lower case

CTRL+SHIFT+U

Swap case of character to right of cursor

CTRL+W

Select all text (all pages) CTRL+A

Select line of text CTRL+L

Select all text (this page) CTRL+P

Negative kerning F5

Positive kerning F6

Shift selected text up F7

Shift selected text down F8

Outline text CTRL+SHIFT+O

Display text cursor CTRL+E

Insert page break in multipage animation

CTRL+ENTER

Move to next page in multipage animation

PageDown

Move to previous page PageUp

Move to first page CTRL+PageUp

Move to last page CTRL+PageDown

Copy heading to clipboard CTRL+C

Paste clipboard contents CTRL+V

Change Quality settings ALT+Q

Display as wire-frame CTRL+SHIFT+W


Making characters larger or smaller

To make selected characters larger or smaller

You can change the height of all the characters by either:

  • resizing the window

  • or selecting a value on font size on the text toolbar at the top of the window. (When you have no selected characters.)

You can also make selected characters larger or smaller than the other characters:

  1. Select the characters you want to change—see selecting text.

  2. Change font size—100% is no change; less than 100% makes the selected characters smaller. Any changes then apply only to the selected characters.

Note: You can also use font size in text options. Font size is dimmed unless you have selected characters.


Merge pages

Multipage animations display a series of separate headings or "pages". Pages are separated by a Page Break (CTRL+ENTER) character.

So to merge two pages, you just need to delete the page break.

In the main Xara3D window:

  1. You need to display the text cursor—click show/hide cursor (the icon of an a and b with a line down the middle) on the standard toolbar.

  2. Use page up/page down to move to the page you want to merge into.

  3. Move the cursor to the end of the text on that page.

  4. Press the delete key.

In the text options dialog box, page breaks are shown as diamonds. You can delete these diamonds in the regular way.


Metafile import

Importing 2D objects

As well as using regular text in Xara3D, you can also import 2D objects and extrude them. 2D objects can be in Windows metafile .EMF or WMF format or Xara .XAR or .WEB format.

After importing you can recolor, scale, and extrude 2D objects in exactly the same way as text. You can even slant the text using the Italic option on the Text Toolbar.

If you are using Xara X¹ or later (add to the existing heading)

  1. In Xara X copy the object you wish to use (Ctrl-C, or select edit then copy).

  2. Switch to Xara3D and paste the object (Ctrl-V, or select edit then paste).

If you wish, you can then copy the 3D design and easily paste it back into Xara X.

To import a 2D object file (add to the existing heading)

  1. Choose import on the file menu.

  2. Select Windows Metafile or Xara filter as the file type.

  3. Browse to the folder containing the EMF, WEB, WMF, or XAR file.

  4. Click open to import. This adds the 2D object to the end of any existing text or 2D objects.

To open a new document showing only a 2D object

  1. Choose open on the file menu.

  2. Select Windows Metafile or Xara filter as the file type.

  3. Browse to the folder containing the EMF, WEB, WMF, or XAR file.

  4. Click open to import. This opens a new document containing only the 2D object.

Notes

  • Simple shapes work best. Complex shapes often lose detail when converted to 3D.

  • When importing XAR or WEB files, information such as shadows, bevels and contours will be removed. More information.

  • Any color information in the imported file is discarded. The 2D objects take the current text color.


Metafiles

Notes on metafiles

Very complex shapes can take a long time to process. Some metafiles may be too complex for Xara3D to translate; in this case, only part of the shape is imported into Xara3D. If this happens, simplify the original shape and create a new metafile.

If the imported file contains:

  • only filled objects (for example, colored circles): these are imported.

  • only lines (also known as stroked paths) or unfilled objects: these are imported as outlines.

  • a mixture of filled objects and lines/unfilled objects: only the filled objects are imported.

  • bitmaps: these are not imported. Some packages such as Paint Shop Pro create metafiles that contain only a bitmap.

Some drawing packages convert curves to a series of polygons in the metafile. This is a feature of the drawing package. These polygons can be noticeable in Xara3D because the light catches the faces of the polygons. To reduce the effect, create the original drawing larger than required, then scale it down in Xara3D.

Some drawing packages can export both WMF & EMF format files. We recommend using EMF.


Moving the text on a design

After creating a button, board or border you can move the text (or even rotate it) relative to the design.

To do this, open design options then alter the size, angle, X and Y values to alter your text. (X & Y is the position of the text.)

For buttons, you can also move the text's position by clicking and dragging the text.


Multipage animations

Multipage animations display a sequence of headings or "pages". Pages are separated by a Page Break (Ctrl+Enter) character.

So, to start a new page, just press Ctrl+Enter. You can do this either in the main Xara3D window or in text options dialog box. (The text options dialog box has a special button for easy insertion of page breaks.)


Page

Xara3D lets you create multipage animations that run through a sequence of 3D headings. We refer to each separate heading as a "page".


Position, rotation

Positioning & rotating 3D objects

To position or rotate the objects

The most reliable way to rotate an object is to use the scrollbars to the right and bottom of the design window.

If you do not have a background texture, you can also drag on the background to move the object. (But be careful not to move the shadow, which you can also move by clicking and dragging.)

You can also have more precise control over the movement of the 3D object:

Hold down Ctrl to move only horizontally. Hold down Shift to move only vertically.

If you want a precise rotation, use the cursor (arrow) keys on the keyboard to change the rotation in 1 degree steps. Ctrl+ the cursor keys gives 15 degree steps.

Alt-drag moves the objects relative to the background.

You can also rotate the objects around their center line. Either:

  • Ctrl+Shift drag on the right scrollbar

  • or hold down Shift and use the up/down cursor keys for 1 degree steps

  • or CTRL+Shift+up/down cursor keys for 15 degree steps.

Note that when the text is horizontally face-on, rotation around the center line gives the same effect as vertical movement.

Alt+Home cancels any rotation and displays the objects face-on.

You can see the specific rotation angles on the bottom right of the Xara3D window.

See this page for details of positioning and rotating textures.


Previewing AVI movies

There are several different movie players for Windows. The easiest way to preview a movie is to use the current player for your computer.

To preview a movie double-click on the movie file icon in a folder window. This launches the default movie player on your computer.


Previewing GIF and JPEG files

The easiest way to see how your saved GIF or JPEG files will appear on the web is to preview using your web browser.

To preview GIF and JPEG files

Drag the file from the folder in which you saved the file and drop it over your web browser window. This works for both Microsoft Internet Explorer and Firefox. The same applies to animated GIFs.


Pulse animation

Pulse animation is one of the animation types in Xara3D. Each character pulses (enlarges or reduces) in sequence.


Quality settings

This option on the Window menu lets you alter the quality settings for display and export. (Keyboard short cut Alt+Q.) Usually the default settings give excellent results, but you may wish to try different settings to fine-tune Xara3D to your requirements.

Screen quality controls the quality of the on-screen display. Increasing the quality setting means that the preview takes longer to redraw on screen. Static and moving images have separate controls: animations can use a lower setting.

Anti-aliasing is a technique of blurring the edges between color transitions. Turning anti-aliasing on gives better results but takes longer to redraw.

True perspective displays the heading with slightly non-parallel sides. (As if drawn from a distant vanishing point.) This gives better results for some images than displaying parallel sides. The drawback is the extra processing can slow down redraw. This may be noticeable when previewing animations.

Export quality controls images exported as static bitmaps. Increasing the quality may give better results for some graphics in shadow or highlight areas. The drawback is that graphics may take longer to display on screen.

Animation quality controls images exported as animated GIFs and AVIs. As the viewer sees each frame only briefly, the quality is less important than for static bitmaps. Note that increasing the quality too much can cause jerky animation on slow computers.


Save X3D

Saving for reloading later

You can save Xara3D graphics in two types of format:

  • as Xara3D X3D files. You can reload these into Xara3D for further editing but cannot use them on web pages.

  • as bitmaps (PNG, GIF, JPEG, ICO, CUR, SCR or AVI) or Flash (SWF) You cannot edit these in Xara3D. Saving in these formats.

So if you want make future changes to a graphic, make sure you save it in X3D format.

To save in X3D format

Click the save icon on the toolbar (a picture of a floppy disk). For a new graphic, you are prompted to type in a name.

You can also use save on the File menu. Or save as to save under a different name.


Saving an image

When you've positioned and sized the objects as required you will need to export the image as a bitmap or Flash file. Xara3D can export static images as Flash SWF (bitmap or vector), BMP, PNG, GIF or JPEG, or animations as SWF (bitmap or vector), AVI movie and animated GIF. For screensaver (SCR) format see this page.

If you want to make future edits, make sure you also save the file in X3D format—more details.

To save an image

  1. For static bitmaps choose export on the file menu. For animations choose export animation on the file menu. (Or press Ctrl-Shift-E. This exports an animation if the image is rotating otherwise a static image.)

  2. Select the appropriate type from the drop down save as type list on the export dialog box.

  3. Enter the required name.

  4. Press OK. This displays the export options dialog box which provides all the control over the quality of image.

The export options depend on the export format.

Exporting GIF, PNG or BMP

Exporting Animated GIF

Exporting bitmap SWF

Exporting vector SWF

Exporting JPG

Exporting AVI movies

Exporting cursors (CUR) and icons (ICO)

Exporting animated cursors ANI


Shadow blur

Changing the blur of the shadow

This can give the effect of either a pin-point light source (little blur) or diffuse light source (greater blur.) For best results we suggest always blurring the shadow slightly—in real-life shadows don't have sharp edges.

  1. Open shadow options.

  2. Type a value into blur.


Shadow color

Changing the color of the shadow

  1. Double-click on the shadow. This displays color options.

  2. Edit the color.


Shadow display

Displaying/removing a shadow

  1. Open shadow options.

  2. Select shadow to display a shadow.

Deselect to remove a shadow.


Shadow move

Moving the shadow

You can move the shadow relative to the 3D objects. You can also move it closer to the objects or away from them.

To move the shadow

The easiest way to move the shadow is to drag it in the window. Make sure you drag the shadow and not the text or the background.

Alternatively the shadow is cast by a special light, which does not affect the color of the 3D objects:

  1. Select the show lighting light bulb on the toolbar. This displays the three colored lights and the shadow light (striped arrow).

  2. Drag the shadow light. Shadows look "right" if they are slightly below and to the left or right of the text.

To move the shadow closer

Hold down the Alt key and press the + (plus) key on the numeric keypad.

To move the shadow away

Hold down the Alt key and press the - (minus) key on the numeric keypad.

To cancel any movement of the shadow

Hold down the Alt key and press the * (asterisk) key on the numeric keypad.


Shadow transparency

Changing the transparency of the shadow

This controls how much of the background color or texture shows through the shadow. Semitransparent shadows are more realistic than solid shadows.

  1. Open shadow options.

  2. Type a percentage into transparency or use the slider.


Shadow type

Changing the shadow style (type)

This controls the type of shadow and how it appears in relation to the design.

  1. Open shadow options.

  2. Select 1 or 2.

1 is a blurred copy of the objects. Artistically this is not a true shadow but it looks "correct" for simple drop shadows (the most common type on web pages).

2 is a true shadow, thrown by the shadow light. This type looks best in animations where the eye is more aware of the shape of a shadow.


Shadows and backgrounds

Because Xara3D shadows are semi-transparent, to ensure the best, most effective results on web pages make sure Xara3D is using the same background GIF or JPG file as your web page. You can save a web page background to your local disk by using the right mouse button. Click over a part of the background in a browser window and select save background as. You can then just drag and drop the file onto the Xara3D background.

GIF files (especially animated GIF files) with soft shadows over background textures are larger than those with no soft shadow.


Step animation

Step animation is one of the animation types in Xara3D. It displays a static (non-rotating) image and so is suitable only for multipage animations. These display a sequence of images—see creating multipage animations.


Text - dead keys

Typing international (accented) characters

You can insert accented characters using either dead keys (where supported) or the character map. The character map also lets you select non-Latin alphabets such as Greek or Cyrillic.

Dead Keys

Xara3D lets you enter a wide range of accented characters using "dead keys". These work by:

  1. Pressing CTRL+the accent character then

  2. Typing the regular character.

So, for example, to enter è (e grave) you first type CTRL+' (single quote) then type e. Common accent characters are

' ` ,^ " ~ / for è é ç ê ë ã Ø

  • Not all fonts include a full set of accented characters. This is a feature of the font and beyond the control of Xara3D.

  • If you know their number, you can enter characters by holding down Alt and typing the number on the numeric keypad. For example Alt+0233 gives é.

Character Map

You can also select characters using the character map in text options. To display this, click more.

In the Character Map:

  • click a character for an enlarged view,

  • double-click a character to insert into your 3D heading.

There are two types of fonts: regular fonts (which have up to 256 characters) and Unicode fonts (which have many more characters).

  • For regular fonts the character map shows all the available characters. Note that many fonts do not include a full set of characters; unused positions appear as rectangles.

  • Unicode fonts contain several sets of characters (such as Latin, Greek, Cyrillic, Phonetic). The U button and the drop-down list gives you access to the different character sets. Note that nearly all Unicode fonts contain several character sets. A ">" next to a character set in the drop-down list shows that this character set is included. This relies on information contained in the font which might not be accurate. You may find that some options just display blank characters (rectangles) because these characters are not included in the selected font.


Text - selecting characters

Selecting characters

(For example to change them to a different font)

The first step is to select the characters you want to change:

  1. Close text options if you have this open.

  2. Click show/hide cursor (the icon of a and b with a line in it) on the standard toolbar to select it. This displays a vertical cursor.

  3. Using the arrow keys on the keyboard to move the cursor to where you want the selection to start.

  4. Use Shift+arrow keys to select characters. (See Note.)

Any options you change then apply to the selected characters only. You can change options such as font, size, color, and bevel type.

Note:

  • Shift+left/right arrow selects the character to the left or right of the cursor (and moves the cursor).

  • CtrlL+Shift+left/right arrow selects from the cursor to the start (left arrow) or end (right arrow) of the line.

  • Ctrl+A selects all the text.

  • Ctrl+P selects all the text on the current page—this is useful in multipage animations.


Add characters to the end of the text

Typing characters as normal adds them to the end of the text. Or you can Import a 2D object.


Delete characters from the end of the text

Backspace deletes characters from the end of the line.


Text justification

To change the alignment of two or more lines of text

Also known as justification. Click the three align buttons on the text toolbar. These buttons have no effect for a single line of text.


Text line spacing

To change spacing between lines of text

Change line spacing on the text toolbar. This value is a percentage of the regular line spacing. 100% is regular spacing. Less than 100% moves the lines closer together. Line spacing has no effect for a single line of text.

This always affects the entire line. To move selected characters vertically, use baseline shift under text options. Or use F7 to move the selection upwards; F8 downwards.


Text - editing the middle of a line

Editing text in the middle of a line

In the main Xara3D window

  1. Click Show/Hide Cursor (the icon of a and b with a line in it) on the standard toolbar to select it. This displays a vertical cursor to show where you are in the text.

  2. Use the arrow keys on the keyboard to move the cursor.

  3. You can then type in new text or delete existing text using backspace or delete.

In text options

  1. Use the arrow keys on the keyboard to move the cursor.

  2. You can then type in new text or delete existing text using backspace or delete.


Start a new line

Press the enter key to start a new line.


Text size

To control the size of the 3D objects

You can control the size of the objects by:

  • resizing the Xara3D window or the frame (details below)

  • or specifying a size in points. Change the size using the text size field on the text toolbar. Either type in a new value or select one from the drop down list.

To switch between the sizing options

  1. If the text toolbar is not displayed choose text toolbar on the window menu.

  2. In font size select fit to width to resize the text as you resize the window or frame. Alternatively specify the text size in points.

Everything in Xara3D is WYSIWYG (what you see is what you get)—so with either method, the size you see in the window will be the size of the resultant image on your web page. (Although you can override the size setting when you export the image).

Xara3D uses one of the most advanced 3D rendering engines around. For instance, it automatically anti-aliases the image to produce the highest quality jaggy-free image. However as the anti-aliasing process can take a second or two, when you are ‘interacting’ with Xara3D (that is when you are dragging the text or altering other aspects in real time, such as the lighting) the program produces a lower-quality non anti-aliased display. When you stop moving or altering things, the program automatically redisplays the top quality version. (You can use quality on the Window menu to select on-screen quality.)

Resizing the window or frame

You can display larger images in the regular Xara3D window. To resize the image just drag the edges or corners of the window, as is usual for windows.

Display smaller images in the frame (a separate, smaller window)—this keeps the Xara3D window at a usable size. Again to resize the image, just drag the edges or corners of the frame.


Text spacing

Changing the spacing between characters

To change the spacing between several or all characters

Change the value in tracking on the text toolbar. Tracking is measured in ems. One em is the width of the letter 'M' in the current font.

If there is some text selected, the tracking change applies just to the selection. (See selecting text.) Otherwise the change applies to all characters.

You can also use text options.

To change the space between two characters

  1. Open text options.

  2. In the dialog box move the cursor between the two characters.

  3. Change the value in kerning. Positive values increase the space between characters; negative decreases the space.

Keyboard short cuts

F5 reduce spacing

F6 increase spacing


Text width

To make the objects wider or narrower

Change aspect ratio on the text toolbar. 100% is regular width. Less than 100% compresses the characters.

Note the difference between aspect ratio (change the width of characters) and tracking (change the space between characters.)

You can change the aspect ratio of just a part of the text. Select the characters you want and then change the aspect ratio.

See this page for details of making 3D buttons wider or narrower.


The fonts

The fonts included with Xara3D

Included with Xara3D are six free fonts. The CD includes 50 extra fonts. Details of finding fonts on the CD.

The download fonts are:

  • Balthazar—an unusual old fashioned ‘pen’ font

  • Dayton—a modern blocky font

  • GeoType—a wonderful collection of symbols and shapes

  • Greek Diner— an open face font

  • Russel Write—a distinctive modern display font

  • Whimsy—an informal, angular font

Geotype, Greek Diner, Russel Write, and Whimsy fonts kindly provided by Gary David Bouton.

Note: Two of the fonts downloaded with Xara3D are from the large range of fonts available for individual download at buyfonts.com


The frame

For large images, you can alter the image size by resizing the Xara3D window. For smaller images this can make the Xara3D window too small for easy use. In this case, you can display the image in a smaller, separate window (called the frame). You can then resize the frame to change the image size.

To display/hide the frame

Either click the display/hide Frame button on the standard toolbar or choose display frame on the window menu.

Resizing the frame

To resize, drag the edges or corners of the Frame—the size of the frame is shown in the bottom right hand corner of the Xara3D window. For more precise control, choose frame size on the window menu; you can then type in the width and height in pixels.


Time line

The time line

This lets you start, stop and step through animations.

To display/hide the time line

Choose time line on the window menu (or press Alt+L)

Controls on the time line

Start/Stop the animation. (Duplicates start/stop animation on the standard toolbar.)

Pause the animation. (Useful for saving a single frame, see below.)

Stop the animation and display the static image.

Display the first frame in the animation. Note: this is different from the static image you see by clicking stop.

Step back one frame

Step forward one frame

Display the last frame in the animation

Displays progress through the animation. You can also drag the slider to move to a particular point in the animation. (Useful for saving a single frame, see below.)

Shows the current frame number (11) and total number of frames (20)

Saving one frame: by using the pause button and slider, you can select a specific frame and then export as normal. This is great for saving one frame of an animation.


Tip of the day

This pops-up a message giving hints and tips. A different message appears each time you start Xara3D.

To disable "tip of the day"

Uncheck show tips on start up on the tips dialog box.

You can display the tips dialog box at any time using tip of the day on the Help menu.

To re-enable "tip of the day"

  1. Choose tip of the day on the help menu. This opens the tips dialog box.

  2. Check show tips on start up on the tips dialog box.


Tips for reducing the size of animated GIF files

  • Images of any type that are larger than, say, 50Kb are not really welcomed by web users.

  • Make the image as small as possible by selecting the crop option on export.

  • Select 'front face only' for "rotate" animations.

  • Have no more than about 20 frames per animation.

  • For multipage animations avoid having too many pages.

  • When exporting try selecting 16 colors (4-bit) with no dithering and optimized palette. When images are animating, the banding is far less obvious than with a static image.

  • When exporting GIFs (animated or static) that have a complex background, try exporting them as transparent GIFs.

  • Rotating the lights changes the file size only slightly.

  • Turn the shadow off.

  • Try selecting 'per frame'.


Typewriter animation

Typewriter animation is one of the animation types in Xara3D. Each character appears sequentially, similar to typing in each character.


What does this do...?

Use these pages to find out more about the menu options or the dialog boxes.

The menus

  • File menu

  • Edit menu

  • Design menu

  • View menu

  • Options menu

  • Window menu

Dialog boxes and option bars

  • Animation options

  • Bevel options

  • Color options

  • Design options

  • Extrusion options

  • Shadows options

  • Text options

  • Texture options

  • Import style dialog box

  • Import animation dialog box


XAR/WEB files

Notes on Xara WEB/XAR files

These are produced by XARA X or Xara Webster.

Notes on imported files

  • Line widths are ignored.

  • Dash patterns, joins, end caps, and arrows on lines are ignored.

  • Objects on all visible layers are imported.

  • Objects on the current frame are imported; other frames are ignored.

  • Bitmaps are ignored.

  • If the imported file contains only filled objects (for example, colored circles) or text: these are imported.

  • If the imported file contains only lines or unfilled objects: these are imported.

  • If the imported file contains a mixture of filled objects/text and lines/unfilled objects: only the filled objects/text are imported.

More details on Xara X